Bug 705885 - vtkpython: libVPIC.so: cannot open shared object file
Summary: vtkpython: libVPIC.so: cannot open shared object file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vtk
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: vmtk
TreeView+ depends on / blocked
 
Reported: 2011-05-18 19:20 UTC by Hans Ecke
Modified: 2011-09-07 00:08 UTC (History)
4 users (show)

Fixed In Version: vtkdata-5.6.1-1.fc14.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 00:08:03 UTC


Attachments (Terms of Use)

Description Hans Ecke 2011-05-18 19:20:16 UTC
Description of problem:

After installation, the vtkpython executable is not functional. It can not load the libVPIC.so library.

Version-Release number of selected component (if applicable):

vtk-python-5.6.0-38.fc14.x86_64

How reproducible:

always

Steps to Reproduce:
> yum install vtk-python
> vtkpython
  
Actual results:

/usr/bin/vtkpython: error while loading shared libraries: libVPIC.so: cannot open shared object file: No such file or directory

Expected results:

vtk version 5.6.0

Python 2.7 (r27:82500, Sep 16 2010, 18:02:00) 
[GCC 4.5.1 20100907 (Red Hat 4.5.1-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.

Additional info:

This makes the executable run:

LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/lib64/paraview"

Comment 1 Orion Poplawski 2011-05-18 20:07:18 UTC
Works fine for me:

$ unset LD_LIBRARY_PATH
$ vtkpython
vtk version 5.6.0
Python 2.7 (r27:82500, Sep 16 2010, 18:02:00) 
[GCC 4.5.1 20100907 (Red Hat 4.5.1-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> 

# ldd /usr/bin/vtkpython | grep VPIC
        libVPIC.so => /usr/lib64/libVPIC.so (0x000000319dc00000)

What does "rpm -Va vtk\*" output?

Comment 2 Hans Ecke 2011-05-18 20:48:21 UTC
/usr/lib64/libVPIC.so comes from vtk-devel.

Confirmed that installing vtk-devel makes vtkpython work without a problem (in fact, it makes mayavi2 work as well).

It looks like vtk-python should have an dependency on vtk-devel

Comment 3 Richard Shaw 2011-07-21 18:40:29 UTC
I'm working on a review request and running into the same problem. Should libVPIC.so only be in a -devel package or should it be in vtk with a soname and just a symbolic link be in -devel?

Comment 4 Richard Shaw 2011-07-24 23:04:49 UTC
Since I'm working on a package that requires vtk, I'm also working on a fix but I still haven't got it quite right...

The changes include:
- Updating to current release: 5.6.1
- Getting rid of the double cmake call
- Putting the extra libs in /usr/lib{,64}/vtk, instead of /usr/lib{,64}vtk-5.6 (Does it really need to be versioned?)
- Removing a lot of the shuffling of files by using additional CMake options.
- Trying to get the python install to work without manual moving of files but it's being particularly difficult

And finally (the reason you're all here):
- Move libVPIC.so and libCosmo.so into the main package. They're only going into vtk-devel because they don't have a soname.

Comment 5 Richard Shaw 2011-07-25 16:18:03 UTC
I think I've gotten if fixed, if you'd like to try it out I have F14 x86_64 packages available:

http://hobbes1069.fedorapeople.org/vtk/

For the maintainer there's also a git diff of the spec file and the rpmlint output from all of the packages.

If someone requires F15 or i686 packages I can make them available.

Comment 6 Richard Shaw 2011-07-26 00:29:13 UTC
I just got done re-uploading the packages. I missed one more library without a soname that was going into -devel instead of the main package.

Comment 7 Hans Ecke 2011-07-26 16:55:15 UTC
Richard-

Thanks, your new packages work just fine:

root@kolmogorov:/home/hans/Download 506> rpm -qa 'vtk*'
vtk-5.6.1-1.fc14.x86_64
vtk-python-5.6.1-1.fc14.x86_64

root@kolmogorov:/home/hans/Download 507> vtkpython 
vtk version 5.6.1
Python 2.7 (r27:82500, Sep 16 2010, 18:02:00) 
[GCC 4.5.1 20100907 (Red Hat 4.5.1-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> 

Cheers

Hans

Comment 8 Fedora Update System 2011-07-26 19:44:02 UTC
vtk-5.6.1-9.fc14.1 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/vtk-5.6.1-9.fc14.1

Comment 9 Orion Poplawski 2011-07-26 19:50:04 UTC
Sorry for the delay.  I had this ready to go, but there was perhaps a problem and it got pushed down.  Hopefully this update works.

Comment 10 Fedora Update System 2011-07-31 04:05:04 UTC
Package vtk-5.6.1-9.fc14.1, gdcm-2.0.16-14.fc14.1:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vtk-5.6.1-9.fc14.1 gdcm-2.0.16-14.fc14.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gdcm-2.0.16-14.fc14.1,vtk-5.6.1-9.fc14.1
then log in and leave karma (feedback).

Comment 11 Hans Ecke 2011-07-31 06:57:56 UTC
The above page shows a dependency problem: vtk-examples-VVV-RRR requires vtkdata-VVV but vtkdata-5.6.1 is not provided.

For the current 5.6.0 release:

root@kolmogorov:/hans> rpm -qa 'vtk*'
vtk-devel-5.6.0-38.fc14.x86_64
vtk-python-5.6.0-38.fc14.x86_64
vtk-qt-5.6.0-38.fc14.x86_64
vtk-tcl-5.6.0-38.fc14.x86_64
vtk-java-5.6.0-38.fc14.x86_64
vtk-5.6.0-38.fc14.x86_64

root@kolmogorov:/hans> yum install vtk-examples
Resolving Dependencies
--> Running transaction check
---> Package vtk-examples.x86_64 0:5.6.0-38.fc14 set to be installed
--> Processing Dependency: vtkdata = 5.6.0 for package: vtk-examples-5.6.0-38.fc14.x86_64
--> Running transaction check
---> Package vtkdata.noarch 0:5.6.0-13 set to be installed

Comment 12 Richard Shaw 2011-07-31 14:09:42 UTC
Until Orion gets a chance to update it as well...

http://hobbes1069.fedorapeople.org/vtk/vtkdata-5.6.1-1.fc14.noarch.rpm

Comment 13 Fedora Update System 2011-08-17 01:19:17 UTC
Package vtkdata-5.6.1-1.fc14.1, vtk-5.6.1-9.fc14.1, gdcm-2.0.16-14.fc14.1:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vtkdata-5.6.1-1.fc14.1 vtk-5.6.1-9.fc14.1 gdcm-2.0.16-14.fc14.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/vtkdata-5.6.1-1.fc14.1,vtk-5.6.1-9.fc14.1,gdcm-2.0.16-14.fc14.1
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-09-07 00:07:57 UTC
vtkdata-5.6.1-1.fc14.1, vtk-5.6.1-9.fc14.1, gdcm-2.0.16-14.fc14.1 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.